[DRE-commits] [diaspora-installer] 03/05: set ownership of db

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Thu Jan 8 08:57:20 UTC 2015


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository diaspora-installer.

commit bd93be3bf1781d176944bd8e4d8463b3b2c6e946
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Wed Jan 7 20:14:14 2015 +0530

    set ownership of db
---
 grantpriv.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/grantpriv.sh b/grantpriv.sh
index fc172c3..db61e33 100755
--- a/grantpriv.sh
+++ b/grantpriv.sh
@@ -1,6 +1,12 @@
 #!/bin/sh
 
 user=diaspora
+dbname=diaspora_production
+
+echo "Make $user user owner of $dbname database..."
+sudo -u postgres psql -c "ALTER DATABASE $dbname OWNER to $user;" || {
+  exit 1 
+  }
 
 echo "Allow $user user to create databases..."
 sudo -u postgres psql -c "ALTER USER $user CREATEDB;" || {

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/diaspora-installer.git



More information about the Pkg-ruby-extras-commits mailing list